> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get holidays

> This endpoint allows you to retrieve a list of upcoming bank holidays for a specified country within the next 365 days.  The holidays are ordered based on their occurrence dates.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /holidays/{country}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /holidays/{country}:
    get:
      tags:
        - Holidays
      summary: Get holidays
      description: >
        This endpoint allows you to retrieve a list of upcoming bank holidays
        for a specified country within the next 365 days.  The holidays are
        ordered based on their occurrence dates.
      operationId: getHolidays
      parameters:
        - name: country
          in: path
          required: true
          schema:
            type: string
          example: FR
          description: >-
            Country code from ISO 3166 international standard -
            https://www.iban.com/country-codes
        - name: lang
          in: query
          schema:
            description: >-
              Preferred language for holiday names. If no language is provided,
              the user's default language will be used. If the user's default
              language is unavailable, the country's primary language will be
              used.
            type: string
            enum:
              - fr
              - en
              - es
              - it
              - pt-br
              - de
              - ar
            example: fr
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  holidays:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Name of bank holiday
                        date:
                          type: string
                          format: date
                          description: Date of bank holiday
                example:
                  holidays:
                    - name: Armistice
                      date: '2023-11-11'
                    - name: Noël
                      date: '2023-12-25'
                    - name: Jour de l'an
                      date: '2024-01-01'
                    - name: Lundi de Pâques
                      date: '2024-04-01'
                    - name: Fête du Travail
                      date: '2024-05-01'
                    - name: Fête de la Victoire
                      date: '2024-05-08'
                    - name: Ascension
                      date: '2024-05-09'
                    - name: Lundi de Pentecôte
                      date: '2024-05-20'
                    - name: Fête nationale
                      date: '2024-07-14'
                    - name: Assomption
                      date: '2024-08-15'
                    - name: Toussaint
                      date: '2024-11-01'
                    - name: Christmas
                      date: '2024-12-25'
                    - name: New Year's Day
                      date: '2025-01-01'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````